@charset "utf-8";

/*//////////////////////////////////////////////////////////////////////////////

	共通

//////////////////////////////////////////////////////////////////////////////*/


/*------------------------------------------------------------------------------

	変数

------------------------------------------------------------------------------*/

:root {
	/* ★common.css ＝ editor.css★ */
	--main-color: 0,157,158;
	--sub-color: 255,241,22;
	--gray-color: 240,240,240;
	--font-en: "Montserrat", sans-serif;
}


/*------------------------------------------------------------------------------

	全体

------------------------------------------------------------------------------*/

/*	site_column
------------------------------------------------------------------------------*/

.site_column {
	position: relative;
	margin: 0 auto;
	width: 86%;
	max-width: 1200px;
}

body.home .site_column,
body.archive.program main .site_column,
#content > footer .group .site_column {
    max-width: 1400px;
}

body.contact main .site_column {
    max-width: 800px;
} 

/*	body・textarea・input
------------------------------------------------------------------------------*/

body,
textarea,
input,
select {
	/* ★common.css ＝ editor.css★ */
	line-height: 1.8;
	font-family: YuGothic,"游ゴシック","メイリオ",Meiryo,sans-serif,"ヒラギノ角ゴ Pro W3","Hiragino Kaku Gothic Pro",Osaka,verdana,"ＭＳ Ｐゴシック","MS PGothic",Sans-Serif;
	font-size: 16px;
	font-weight: 500;
	color: rgba(35,35,0,1);
	-webkit-text-size-adjust: 100%;
	font-feature-settings: "palt";
}

textarea,
input,
select {
	-webkit-appearance: none;
}

@media screen and (max-width: 1024px) {

body,
textarea,
input  {
	/* ★common.css ＝ editor.css★ */
	font-size: 14px;
}

}

@media screen and (max-width: 767px) {

body,
textarea,
input {
	/* ★common.css ＝ editor.css★ */
	font-size: 3.2vw;
}

}


/*	見出し
------------------------------------------------------------------------------*/

h1,h2,h3,h4,h5,h6 {
	line-height: 1.4;
}

/*	アンカー
------------------------------------------------------------------------------*/

a,
a:hover,
a:visited {
	outline: none;
	text-decoration: none;
	color: rgba(var(--main-color),1);
}

a {
	transition: opacity .4s;
}

a:hover {
	text-decoration: none;
	opacity: .4;
}

main a,
main a:visited {
	text-decoration: underline;
}

@media screen and (max-width: 767px) {

a:hover {
	opacity: 1;
}

a[href^="tel:"] {
	text-decoration: underline;
}

}

@media screen and (min-width: 768px){
	
a[href^="tel:"] {
	pointer-events: none;
	text-decoration: none;
	color: #333;
}

a[href^="tel:"]:hover {
	cursor: default;
	opacity: 1;
}

}


/*	リスト
------------------------------------------------------------------------------*/

main ol,
main ul {
	margin: 1em 0 1em 1.5em;
}

main ul {
	list-style: disc;
}

main ol {
	list-style: decimal;
}

main li {
	margin-bottom: .5em;
	line-height: 1.4;
}

#content main table ol,
#content main table ul {
	margin: 0 0 0 1.5em;
	background-color: inherit;
}

#content main table ol li,
#content main table ul li {
	background-color: inherit;
	font-weight: normal;
}


/*	テーブル
------------------------------------------------------------------------------*/

table {
	width: 100%;
}

th,
td {
	line-height: 1.6;
}

th {
	font-weight: bold;
}


/*	その他
------------------------------------------------------------------------------*/

em {
	font-style: normal;
}

figcaption {
	margin-top: .5em;
	text-align: center;
	font-size: .875em;
}

img {
	vertical-align: bottom;
}

address {
	font-style: normal;
}

p.none {
	text-align: center;
	font-size: 1.125em;
}


/*	共通設定
------------------------------------------------------------------------------*/

main p,
main dd {
	margin-bottom: .5em;
	text-align: justify;
}

main li:last-child,
main p:last-of-type,
main dd:last-of-type {
	margin-bottom: 0;
}

.home main h2,
main > header h1,
body.contents main > header p {
	margin-bottom: 1.8em;
	font-size: 1.125em;
	font-weight: bold;
	color: rgba(var(--main-color),1);
	text-align: center;
	line-height: 1.4;
}

body.contents main > header p {
	margin-bottom: 0;
}

.home main h2::before,
main > header h1::before,
main > header p::before {
	content: 'Error';
	display: block;
	margin-bottom: .25em;
	font-size: 3.125rem;
	font-weight: 700;
	font-family: var(--font-en);
	color: #333;
	letter-spacing: .05em;
	line-height: 1;
}

.home main #about h2::before {
	content: 'About';
}

.home main #program h2::before {
	content: 'Program';
}

.home main #topics h2::before,
#topics main > header h1::before,
.news main > header h1::before,
.news main > header p::before {
	content: 'Topics';
}

.home main #related h2::before {
	content: 'Related Programs';
}

.home main #organization h2::before {
	content: 'Organization';
}

.home main #related h2::before,
.home main #organization h2::before {
	font-size: 2.8125rem;
}

.about main > header h1::before {
	content: 'About';
}

.program main > header h1::before,
.program main > header p::before {
	content: 'Program';
}

.course main > header h1::before,
.course main > header p::before {
	content: 'Course';
}

.privacy main > header h1::before {
	content: 'Privacy';	
}

.contact main > header h1::before {
	content: 'Contact';	
}

@media screen and (max-width: 767px) {

.home main h2::before,
main > header h1::before,
main > header p::before {
	margin-bottom: .5em;
	font-size: 8vw;
}

.home main #related h2::before,
.home main #organization h2::before {
	font-size: 5.8vw;
}

}


/*	独自class
------------------------------------------------------------------------------*/

.note {
	margin-left: 0;
}

.note li {
	display: block;
	position: relative;
	padding-left: 1em;
	font-size: .875em;
}

.note li::before {
	content: "※";
	position: absolute;
	top: 0;
	left: 0;
}

.l {
	display: block;
}

.marker {
	background: linear-gradient(transparent 60%, #fff799 60%);
}

@media screen and (max-width: 767px) {

.l {
	display: inline;
}

}


/*------------------------------------------------------------------------------

	header

------------------------------------------------------------------------------*/

#content > header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 34px 0 34px 64px;
}

#content > header .logo,
#content > footer .logo {
	max-width: 366px;
	width: 100%;
}

#content > header .logo a {
	display: block;
}

@media screen and (max-width: 1400px) {

#content > header {
	padding: 34px 0 34px 44px;
}
	
#content > header .logo	{
	max-width: 300px;
}

}

@media screen and (max-width: 1200px) {

#content > header .logo	{
	max-width: 280px;
}

}

@media screen and (max-width: 1000px) {
	
#content > header .logo	{
	max-width: 25%;
}

#content > header {
	padding: 34px 0 34px 24px;
}
	
}

@media screen and (max-width: 767px) {
	
#content > header .logo,
#content > footer .logo {
	max-width: 52vw;
}

#content > header {
	padding: 4vw 6vw;
}
	
}




/*------------------------------------------------------------------------------

	menu

------------------------------------------------------------------------------*/

#content > header .gnav {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

#content > header .gnav ul {
	display: flex;
	align-items: center;
}

#content > header .gnav ul li {
	position: relative;
	margin-right: 2em;
}

#content > header .gnav ul li:last-child {
	margin-right: 0;
}

#content > header .gnav ul a {
	display: block;
	font-size: 1.125em;
	font-weight: bold;
	color: #333;
}

#content > header .gnav ul:first-of-type > .selected::after {
	content: '';
	display: block;
	position: absolute;
	left: 50%;
	bottom: -.125em;
	transform: translateX(-50%);
	width: 60px;
	height: .1875em;
	background-color: rgba(var(--sub-color), 1);
}

#content > header .gnav .lang {
	padding: .5em 1.5em .5em 1.8em;
	margin-left: 6em;
	background-color: rgba(240,240,240,1);
	border-radius: 10em 0 0 10em;
}

#content > header .gnav .lang a {
	opacity: .5;
}

#content > header .gnav .lang .selected a {
	opacity: 1;
	pointer-events: none;
}

#content > header .gnav .lang a,
#content > header .gnav .lang li:first-child {
	display: flex;
	align-items: center;
	font-family: var(--font-en);
	font-weight: 500;
}

#content > header .gnav .lang li:first-child {
	margin-right: 0;
}

#content > header .gnav .lang li:first-child::after {
	content: "／";
	display: inline-block;
	margin: 0 .25em;
	font-size: 1.2em;
}

#content > header .gnav .lang a span {
	margin-left: .25em;
}

#content > header .gnav .lang a img {
	width: 1.125em;
}

@media screen and (max-width: 1400px) {
	
#content > header .gnav ul li {
	margin-right: 1em;
}

#content > header .gnav .lang {
	margin-left: 3em;
}

}

@media screen and (max-width: 1200px) {

#content > header .gnav ul a {
	font-size: 1em;
}
	
#content > header .gnav .lang {
	margin-left: 2em;
}

}

@media screen and (max-width: 767px) {

#content > header .gnav {
	padding-top: 20.8vw;
	padding-bottom: 20.8vw;
	flex-direction: column-reverse;
	align-items: flex-start;
}

#content > header .gnav ul {
	display: block;
	width: 83vw;
	margin: auto;
}
	
#content > header .gnav ul li {
	margin-right: 0;
	border-bottom: 1px solid rgba(var(--main-color),1);
}
	
#content > header .gnav ul a {
	padding: .8em;
	font-size: 4.16vw;
	text-align: center;
	background-image: url(../img/icon_arrow_line_blue.svg);
	background-position: center right;
	background-repeat: no-repeat;
	background-size: .75em;
}

#content > header .gnav ul:first-of-type > .selected::after {
	display: none;
}

#content > header .gnav .lang {
	display: flex;
	width: auto;
	padding: .5em 1.5em;
	margin: 0 auto 1em;
	background-color: #FFF;
	border-radius: 10em;
}

#content > header .gnav .lang li {
	border: none;
}
	
#content > header .gnav .lang li a {
	padding: 0;
	font-size: 3.75vw;
	background: none;
}

}


/*	メニュー本体開閉CSS
　　スマホサイズでcloseした時のdisplay:none を、再びPCサイズにした時、
　　非表示になるのを回避
------------------------------------------------------------------------------*/

@media screen and (min-width: 768px) {

#content > header .menu {
	display: block !important;
}

}

@media screen and (max-width: 767px) {

#content > header .menu {
	display: none;
}

}


/*	メニュー本体
------------------------------------------------------------------------------*/

@media screen and (max-width: 767px) {
	
#content > header .menu {
	overflow-y: scroll;
	position: fixed;
	flex-direction: column;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background-color: rgba(230,246,246,1);
	z-index: 9999;
}
	
#content > header .menu::before {
	content: url("../img/logo.svg");
	position: absolute;
	top: 4vw;
	left: 6vw;
	width: 52vw;
}
	
#content > header .menu::after {
	content: url("../img/line_slant.svg");
	position: absolute;
	bottom: 0;
	left: 0;
	width: 56vw;
	opacity: .5;
	z-index: -1;
}

}


/*	開閉ボタン
------------------------------------------------------------------------------*/

.menu_button {
	display: none;
}

@media screen and (max-width: 767px) {
	
.menu_button,
.menu_button span {
	display: inline-block;
	transition: translate .4s, rotate .4s, display .4s, background .4s, top .4s, bottom .4s, opacity .4s;
	box-sizing: border-box;
}
	
.menu_button {
	position: fixed;
	display: block;
	z-index: 9999;
	right: 6vw;
	top: 4vw;
	width: 8.3vw;
	height: 8.3vw;
	background-color: rgba(var(--main-color),1);
	clip-path: circle(50% at 50% 50%);
}
	
.menu_button:hover {
	cursor: pointer;
}

.menu_button em {
	position: absolute;
	left: 0;
	bottom: .8vw;
	width: 100%;	
	font-style: normal;
	font-size: 1.7vw;	
	color: #FFF;
	text-align: center;
}

.menu_button em::before {
	content: 'MENU';
	font-family: var(--font-en);
}

.menu_button span {
	position: absolute;
	left: 50%;
	translate: -50% 0;
	width: 60%;
	height: .37vw;
	background-color: #FFF;
	border-radius: 100em;
}
	
.menu_button.active em::before {
	content: 'CLOSE';
}

.menu_button span:nth-of-type(1) { top: 2.4vw;}
.menu_button span:nth-of-type(2) {	top: 3.8vw;}

.menu_button.active span:nth-of-type(1) { top: 2.8vw; rotate: -315deg; width: 57%;}
.menu_button.active span:nth-of-type(2) { top: 2.8vw; rotate: 315deg; width: 57%;}
	
}


/*------------------------------------------------------------------------------

	main

------------------------------------------------------------------------------*/

main .link_btn {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 3em;
	text-align: center;
}

main .link_btn a {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 1em;
	min-width: 14em;
	font-size: 1.125em;
	font-weight: bold;
	text-decoration: none;
	border: 1px solid rgba(var(--main-color),1);
	line-height: 1;
	border-radius: 1em 0 1em 0;
	background-color: #FFF;
	color: rgba(var(--main-color),1);
}

main .link_btn a span {
	display: flex;
	align-items: center;
}

main .link_btn a span::after {
	display: inline-block;
	margin-left: 1em;
	content: url("../img/icon_arrow.svg");
	width: 1.125em;
	height: 1.125em;
}

main .application_btn a {
	background-color: rgba(var(--main-color),1);
	border-radius: 50em;
	font-size: 1.625em;
}

main .application_btn a span {
	color: #FFF;
}

main .application_btn a span::after {
	content: url("../img/icon_blank_w.svg");
	width: 1em;
	height: 1em;
}

@media screen and (max-width: 767px) {

main .application_btn a {
	font-size: 4vw;
}

}


/*	プログラム
------------------------------------------------------------------------------*/

.program_group,
.course_group {
	display: flex;
	flex-wrap: wrap;
}

.program_group a,
.course_group a {
	position: relative;
	display: block;
	width: 31%;
	padding: 1.8em 1.4em;
	margin-right: 3.5%;
	margin-top: 3.5%;
	background-color: #FFF;
	filter: drop-shadow(0 0 5px rgba(0,0,0,.3));
	text-decoration: none;
	font-size: 1.5em;
	font-weight: bold;
	text-align: center;
	line-height: 1.42;
}

.program_group a:nth-child(1),
.program_group a:nth-child(2),
.program_group a:nth-child(3),
.course_group a:nth-child(1),
.course_group a:nth-child(2),
.course_group a:nth-child(3) {
    margin-top: 0;
}

.program_group a::before {
	content: "";
	position: absolute;
	top: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 36.87%;
	height: 5px;
	background-color: rgba(var(--main-color),1);
}

.program_group a:nth-child(3n),
.course_group a:nth-child(3n) {
	margin-right: 0;
}

.program_group a dl {
	display: flex;
	flex-direction: column;
}

.program_group a dl dd {
	order: 1;
}

.program_group a dl dd img {
	width: 100%;
	aspect-ratio: 364/222;
	object-fit: cover;
	border-radius: 5px;
}

.program_group a dl dt {
	order: 2;
	margin-top: 1.5em;
	padding: 0 .5em;
}

.program_group .link_btn {
	margin-top: 5em;
}

.program_group .link_btn a {
	padding: 1em 2.5em 1em 2.8em;
}

@media screen and (max-width: 1300px) {

.program_group a {
	padding: 1.4em 1em;
}

.program_group a dl dt {
	margin-top: 1em;
	padding: 0;
}

}

@media screen and (max-width: 1024px) {

.program_group a {
	padding: 1.8em 1.4em;
	font-size: 1em;
}

}

@media screen and (max-width: 767px) {

.program_group a,
.course_group a {
	width: 46.6%;
	padding: 4.3vw 3vw 3vw;
	margin-top: 6.8%;
	margin-right: 6.8%;
}

.program_group a:nth-child(3n),
.program_group a:nth-child(3),
.course_group a:nth-child(3n),
.course_group a:nth-child(3) {
	margin-top: 6.8%;
	margin-right: 6.8%;
}
	
.program_group a:nth-child(2n),
.course_group a:nth-child(2n) {
	margin-right: 0;
}

.program_group a dl dt {
	padding: 0;
	margin-top: 3vw;
	font-size: 3vw;
}
	
.program_group a:last-child,
.course_group a:last-child {
	margin-right: 0;
}

}

/*	個別講座
------------------------------------------------------------------------------*/

.course_group span {
	display: block;
}

.course_group span.category {
	display: inline-block;
	padding: .25em 1em;
	margin-bottom: 1em;
	font-size: .875rem;
	font-weight: bold;
	background-color: rgba(var(--main-color),1);
	color: #FFF;
	line-height: 1.2;
}

.course_group a {
	padding: 1.4em;
	text-align: left;
}

@media screen and (max-width: 1024px) {
.course_group a {
	padding: 1em;
}	
}

@media screen and (max-width: 767px) {
.course_group a {
	padding: 3vw;
}
	
.course_group span {
	font-size: 3vw;
}

}


/*	お知らせ
------------------------------------------------------------------------------*/

.topics_group a {
	display: flex;
	flex-direction: row-reverse;
	padding: 1.9em;
	color: #333;
	text-decoration: none;
	font-weight: bold;
}

.topics_group .pickup {
	margin-top: 1.9em;
	position: relative;
	background-color: rgba(var(--sub-color),1);
}

.topics_group .pickup:first-of-type {
	margin-top: 0;
}

.topics_group .pickup:before {
	content: url("../../home/img/topics_pickup.svg");
	position: absolute;
	top: 0;
	left: 0;
	width: 185px;
}

.topics_group a dl {
	display: flex;
    flex-direction: column;
	flex: 1;
	margin-top: 2em;
}

.topics_group a dl dt {
	margin-top: .7em;
	font-size: 1.375em;
	line-height: 1.45;
	order: 2;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	overflow: hidden;
}

.topics_group a dl dd,
.post header .info {
	display: flex;
	align-items: center;
	color: rgba(var(--main-color),1);
	order: 1;
}

.topics_group a dl dd time,
.post header .info time {
	font-family: var(--font-en);
	font-size: 1.125em;
	font-weight: 500;
}

.topics_group a dl dd span,
.post header .info .category {
	display: inline-block;
	margin-left: 1em;
	padding: .25em 1em;
	font-size: .875em;
	font-weight: bold;
	background-color: rgba(var(--main-color),1);
	color: #FFF;
	line-height: 1;
}

.topics_group a figure {
	width: 35%;
	margin-right: 3.6%;
}

.topics_group a figure img {
	width: 100%;
	aspect-ratio: 400/218;
	object-fit: cover;
	border-radius: 5px;
}

@media screen and (max-width: 1200px) {

.topics_group a dl dt {
	margin-top: .5em;
}

.topics_group a dl {
	margin-top: 1em;
}

}

@media screen and (max-width: 940px) {

.topics_group a dl {
	margin-top: 0;
}

}

@media screen and (max-width: 767px) {

.topics_group .pickup {
	margin-top: 1em;
}


.topics_group .pickup:before {
	width: 18vw;
}

.topics_group a {
	padding: 1em;
}

.topics_group a dl dt {
	margin-top: 0;
	font-size: 3vw;
	-webkit-line-clamp: 2;
}

.topics_group a dl dd time,
.post header .info time {
	font-size: 3vw;
}

.topics_group a dl dd span,
.post header .info .category,
.course_group span.category {
	font-size: 2.5vw;
}

}

/*------------------------------------------------------------------------------

	footer

------------------------------------------------------------------------------*/

#content > footer {
	margin-top: 100px;
}

#content > footer .group {
	padding: 95px 0;
	background-color: rgba(var(--gray-color),1);
}

#content > footer .group .site_column {
	display: flex;
	justify-content: space-between;
}

#content > footer .group .links ul li {
	text-align: right;
}

#content > footer .group .links .menu {
	display: flex;
	margin-bottom: .5em;
}

#content > footer .group .links .menu li {
	margin-right: 2em;
}

#content > footer .group .links .menu li:last-child {
	margin-right: 0;
}

#content > footer .group a {
	color: #333;
	font-weight: bold;
}

#content > footer #copy {
	padding: 1.5em 0;
	text-align: center;
	font-size: .75em;
	font-family: var(--font-en);
}

@media screen and (max-width: 1100px) {
#content > footer .group {
	padding: 60px 0;
}

#content > footer .logo {
	margin: 40px auto 0;
}

#content > footer .group .site_column {
	flex-direction: column-reverse;
	justify-content: center;
}

#content > footer .group .links {
	padding-bottom: 40px;
	border-bottom: 1px solid #333;
}

#content > footer .group .links ul li {
	text-align: center;
}
	
#content > footer .group .links .menu {
	justify-content: center;
}

#content > footer .group .links .menu li {
	margin-right: .9em;
}
}

@media screen and (max-width: 767px) {

#content > footer {
	margin-top: 9.8vw;
}

#content > footer .logo {
	margin: 7vw auto 0;
}

#content > footer .group {
	padding: 7vw 0;
}

#content > footer .group .links {
	padding-bottom: 7vw;
}

}

/*	 パンくず
------------------------------------------------------------------------------*/

#content > footer .breadcrumb {
	padding: 1em 0;
	background-color: rgba(var(--main-color),.1);
}

#content > footer .breadcrumb ul {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
}

#content > footer .breadcrumb ul li {
	position: relative;
	padding-left: 1em;
	padding-right: 2em;
	line-height: 1;
	font-weight: bold;
	font-size: .875em;
}

#content > footer .breadcrumb ul li:first-child {
	padding-left: 0;
}

#content > footer .breadcrumb ul li:last-child {
	padding-right: 0;
	flex: 1;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

#content > footer .breadcrumb ul li:first-child a::before,
#content > footer .breadcrumb ul li::after {
	display: block;
	position: absolute;
	top: 50%;
	translate: 0 -50%;
	width: 1em;
	aspect-ratio: 1/1;
	background-repeat: no-repeat;
	background-size: cover;
	line-height: 1;
}

#content > footer .breadcrumb ul li:first-child a {
	padding-left: 1.5em;
}

#content > footer .breadcrumb ul li:first-child a::before {
	content: url("../img/icon_home_blue.svg");
	left: 0;
}

#content > footer .breadcrumb ul li::after {
	content: url("../img/icon_arrow_line_blue.svg");
	right: 0;
}

#content > footer .breadcrumb ul li:last-child::after {
	display: none;
}


/*	 page_top
------------------------------------------------------------------------------*/

#page_top {
	position: fixed;
	right: 3vw;
	bottom: 4vw;
	z-index: 1000;
	width: 10vw;
	max-width: 60px;
	aspect-ratio: 1/1;
	transition: opacity .6s;
	background-color: #FFF;
	opacity: 0;
}

.moved #page_top {
	opacity: .7;
}

#page_top a {
	position: relative;
	display: block;
	width: 100%;
	height: 100%;
	background-color: rgba(var(--main-color),1);
	text-decoration: none;
	cursor: default;
}

.moved #page_top a {
	cursor: pointer;
	opacity: 1;
}

#page_top a::after {
	position: absolute;
	top: 60%;
	left: 50%;
	transform: translate(-50%,-50%)  rotate(45deg);
	content: "";
	display: block;
	width: 30%;
	height: 30%;
	border-top: 1px solid #FFF;
	border-left: 1px solid #FFF;
}

